package com.hungraim.ism.dao;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.hungraim.ism.pojo.vo.disable.ApplicationManagementInfoVO;
import com.hungraim.ism.pojo.vo.disable.DisableVO;
import com.hungraim.ltc.pojo.entity.disable.ChDisableApplyHis;
import org.apache.ibatis.annotations.Mapper;
import org.springframework.stereotype.Repository;

/**
 * 失能人员申请历史Mapper
 *
 * @author czz
 */
@Mapper
@Repository
public interface DisableApplyHisMapper extends BaseMapper<ChDisableApplyHis> {
    /**
     * 查询待遇申请管理列表
     *
     * @param organId    机构代码
     * @param provincial 省
     * @param city       市
     * @param area       区
     * @param name       参保人员姓名
     * @param certiCode  参保人身份证号码
     * @param dataFrom   申请来源
     * @param srvOrganId 护理机构
     */
    Page<DisableVO> disableList(Page<DisableVO> page, String organId, String provincial,
                                String city, String area, String name, String certiCode,
                                String dataFrom, String srvOrganId);

    ApplicationManagementInfoVO selectApplicationManagementInfoById(String id);
}
