package com.hungraim.ism.service;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.hungraim.ism.pojo.vo.disable.DisableVO;
import org.springframework.stereotype.Service;

/**
 * 失能申请Service
 *
 * @author czz
 */
@Service
public interface DisableService {

    /**
     * 查询所有资源对应的角色
     *
     * @param organId            适用机构代码
     * @param districtProvincial 所在省
     * @param districtCity       所在市
     * @param districtArea       所在区域
     * @param realName           失能人员姓名
     * @param certiCode          失能人员身份证号码
     * @param dataFrom           申请来源
     * @param srvOrganId         护理机构
     * @param pageNum            当前页
     * @param pageSize           每页几条数据
     * @return list
     */
    Page<DisableVO> disableList(String organId, String districtProvincial, String districtCity,
                                String districtArea, String realName, String certiCode, String dataFrom,
                                String srvOrganId, int pageNum, int pageSize);

}
